Delete a business
curl --request DELETE \
--url https://api.pocketflows.com/businesses/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/businesses/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"external_id": "<string>",
"name": "<string>",
"metadata": {},
"created_at": "<string>",
"website": "<string>",
"disabled_steps": [
"email"
]
}Businesses
Delete a business
DELETE
/
businesses
/
{id}
Delete a business
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Response
200 - application/json
The deleted Business object
The ID of the business
The external ID of the business
The name of the business
Arbitrary metadata associated with this business
The date and time the business was created
The website URL of the business
Steps disabled for this business. If null, the business inherits the project's disabled_steps. If set (including []), this list fully overrides the project's setting.
Available options:
email, sms